## gsettings-qt 0.1%2B17.10.20170824

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export QT_SELECT=qt5

# Skip tests on the archs they are known to be flaky
testskip_architectures := powerpc

override_dh_install:
	rm -rf debian/*/usr/tests
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
ifneq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(testskip_architectures)))
	QT_QPA_PLATFORM=minimal LD_LIBRARY_PATH=../src GSETTINGS_BACKEND=memory GSETTINGS_SCHEMA_DIR=. xvfb-run -a dh_auto_test
endif

override_dh_makeshlibs:
	# passed to dpkg-gensymbols
	dh_makeshlibs -- -c4

%:
	dh $@ --with pkgkde_symbolshelper

## gsettings-qt 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18)
project(gsettings-qt VERSION 1.0.0 LANGUAGES CXX)

option(ENABLE_WERROR "Enable -Werror" OFF)
option(ENABLE_QT6 "Enable Qt6 build" OFF)

add_compile_options(-Wall -Wextra -pedantic)
if (WERROR)
    add_compile_options(-Werror)
endif()

if (ENABLE_QT6)
    find_package(QT NAMES Qt6 REQUIRED COMPONENTS Core Qml)
    set (QT_VERSION_IN_LIBNAME ${QT_VERSION_MAJOR})
else()
    find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core Qml)
    set(QT_VERSION_IN_LIBNAME "")
endif()

set(CMAKE_AUTOMOC ON)

include(GNUInstallDirs)

set(QGSETTINGS_SO_VERSION_MAJOR "1")
set(QGSETTINGS_SO_VERSION_MINOR "0")
set(QGSETTINGS_SO_VERSION_MICRO "0")
set(QGSETTINGS_SO_VERSION ${QGSETTINGS_SO_VERSION_MAJOR})

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Qml)
find_package(PkgConfig REQUIRED)
pkg_check_modules(Gio REQUIRED IMPORTED_TARGET gio-2.0)

enable_testing()

if(BUILD_TESTING)
    pkg_check_modules(Glib2 REQUIRED IMPORTED_TARGET glib-2.0)
endif()

add_subdirectory(src)
add_subdirectory(GSettings)
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== GSettings/CMakeLists.txt ===
find_package(QmlPlugins)

set(CHECK_DEFAULT_PATH "")
if (EXISTS "/etc/debian_version")
    set(CHECK_DEFAULT_PATH "NO_DEFAULT_PATH")
endif()
find_program(QML_PLUGIN_DUMP qmlplugindump REQUIRED
                 PATHS /usr/lib/qt${QT_VERSION_MAJOR}/bin
                 ${CHECK_DEFAULT_PATH}
)

add_definitions(-DQT_NO_KEYWORDS)

set(URI "GSettings")
set(API_VER "1.0")
set(QML_PLUGIN_DIR "${CMAKE_INSTALL_LIBDIR}/qt${QT_VERSION_MAJOR}/qml/${URI}")

add_library(GSettingsQmlPlugin MODULE
    plugin.cpp
    gsettings-qml.cpp
    plugin.h
    gsettings-qml.h
)
target_include_directories(GSettingsQmlPlugin PRIVATE
    ${CMAKE_SOURCE_DIR}/../src
    ${CMAKE_CURRENT_SOURCE_DIR}
)

target_link_libraries(GSettingsQmlPlugin PRIVATE
    Qt::Core
    Qt::Qml
    gsettings-qt${QT_VERSION_IN_LIBNAME}
    PkgConfig::Gio
)

add_qmlplugin(${URI}
              ${API_VER}
              ${URI}
              TARGET_PREFIX ${URI}
              TARGETS GSettingsQmlPlugin
)

if(NOT CMAKE_CROSSCOMPILING)
    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/plugins.qmltypes
        COMMAND ${QML_PLUGIN_DUMP} -noinstantiate -notrelocatable ${URI} ${API_VER} ../ > ${CMAKE_CURRENT_BINARY_DIR}/plugins.qmltypes
        DEPENDS GSettingsQmlPlugin
        WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
    )

    add_custom_target(GSettings_generated_files ALL SOURCES ${CMAKE_CURRENT_BINARY_DIR}/plugins.qmltypes)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plugins.qmltypes DESTINATION ${QML_PLUGIN_DIR})
endif()

=== src/CMakeLists.txt ===
# qt signal slot syntax, use Q_SIGNALS, Q_SLOTS, and Q_EMIT
add_definitions(-DQT_NO_KEYWORDS)

set(QT_INCLUDE_DIR      ${CMAKE_INSTALL_INCLUDEDIR}/${CMAKE_LIBRARY_ARCHITECTURE}/qt${QT_VERSION_MAJOR})
set(QT_FULL_INCLUDE_DIR ${CMAKE_INSTALL_FULL_INCLUDEDIR}/${CMAKE_LIBRARY_ARCHITECTURE}/qt${QT_VERSION_MAJOR})

add_library(gsettings-qt${QT_VERSION_IN_LIBNAME} SHARED
    qgsettings.cpp
    util.cpp
    qconftypes.cpp
    qgsettings.h
    util.h
    qconftypes.h
)

set_target_properties(gsettings-qt${QT_VERSION_IN_LIBNAME} PROPERTIES
    SOVERSION ${QGSETTINGS_SO_VERSION}
    VERSION ${QGSETTINGS_SO_VERSION_MAJOR}.${QGSETTINGS_SO_VERSION_MINOR}.${QGSETTINGS_SO_VERSION_MICRO}
    POSITION_INDEPENDENT_CODE ON
)

target_include_directories(gsettings-qt${QT_VERSION_IN_LIBNAME}
    PUBLIC
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
        $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/QGSettings>
)

target_link_libraries(gsettings-qt${QT_VERSION_IN_LIBNAME}
    PUBLIC
        Qt::Core
    PRIVATE
        PkgConfig::Gio
)

install(TARGETS gsettings-qt${QT_VERSION_IN_LIBNAME}
    LIBRARY DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}
)

install(FILES qgsettings.h
              QGSettings
        DESTINATION ${QT_FULL_INCLUDE_DIR}/QGSettings
)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/gsettings-qt.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/gsettings-qt${QT_VERSION_IN_LIBNAME}.pc
    @ONLY
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gsettings-qt${QT_VERSION_IN_LIBNAME}.pc
        DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig
)

=== tests/CMakeLists.txt ===
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Test QuickTest)
find_program(GLIB_COMPILE_SCHEMAS glib-compile-schemas REQUIRED)


###
### schema
###

add_custom_command(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/gschemas.compiled
    COMMAND ${GLIB_COMPILE_SCHEMAS} ${CMAKE_CURRENT_BINARY_DIR}
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/com.ubports.gsettings.test.gschema.xml
    COMMENT "Compiling GSettings schemas"
)

add_custom_target(schema ALL
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/gschemas.compiled
)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/com.ubports.gsettings.test.gschema.xml
    ${CMAKE_CURRENT_BINARY_DIR}/com.ubports.gsettings.test.gschema.xml
    COPYONLY
)

###
### cpptest
###

add_executable(cpptest
    cpptest.cpp
)

target_include_directories(cpptest PRIVATE
    ${CMAKE_SOURCE_DIR}/../src
)

target_link_libraries(cpptest PRIVATE
    Qt::Test
    Qt::Core
    gsettings-qt
    PkgConfig::Glib2
)

add_test(NAME cpptest COMMAND cpptest)

add_dependencies(cpptest schema)

set_tests_properties(cpptest PROPERTIES
    ENVIRONMENT "GSETTINGS_SCHEMA_DIR=${CMAKE_CURRENT_BINARY_DIR};GSETTINGS_BACKEND=memory"
)


###
### qmltest
###

add_executable(qmltest
    test.cpp
)

target_include_directories(qmltest PRIVATE
    ${CMAKE_SOURCE_DIR}/../src
)

target_link_libraries(qmltest PRIVATE
    Qt::Test
    Qt::Core
    Qt::QuickTest
    gsettings-qt
    PkgConfig::Glib2
)

add_test(NAME qmltest COMMAND qmltest)

add_dependencies(qmltest schema)

set_tests_properties(qmltest PROPERTIES
    ENVIRONMENT "GSETTINGS_SCHEMA_DIR=${CMAKE_CURRENT_BINARY_DIR};GSETTINGS_BACKEND=memory;QT_QPA_PLATFORM=minimal;QML2_IMPORT_PATH=${CMAKE_BINARY_DIR}"
)

add_custom_command(
    TARGET qmltest POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E create_symlink ${CMAKE_CURRENT_SOURCE_DIR}/tst_GSettings.qml ${CMAKE_CURRENT_BINARY_DIR}/tst_GSettings.qml
)

## gsettings-qt 0.1+17.10.20170824

=== debian/changelog ===
gsettings-qt (0.1+17.10.20170824-9) unstable; urgency=medium

  * debian/rules: Do not enable tests on armhf for now.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Oct 2018 15:23:02 -0400

gsettings-qt (0.1+17.10.20170824-8) unstable; urgency=medium

  * Release to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 18 Sep 2018 17:55:32 -0400

gsettings-qt (0.1+17.10.20170824-8~exp1) experimental; urgency=medium

  * debian/rules: Try to set -mno-unaligned-access to fix test Bus Error
    on armhf.

 -- Boyuan Yang <byang@debian.org>  Tue, 18 Sep 2018 16:30:59 -0400

gsettings-qt (0.1+17.10.20170824-7) unstable; urgency=medium

  * Bump Standards-Version to 4.2.1 (no changes needed).
  * Rebuild against new Qt 5.11.1.
  * Update my uploader email address and use the @debian.org one.

 -- Boyuan Yang <byang@debian.org>  Fri, 14 Sep 2018 19:14:44 -0400

gsettings-qt (0.1+17.10.20170824-6) unstable; urgency=medium

  * d/patches: Add patch to fix a bug cause test failed when build with Qt
    5.11. (Closes: #905059)
  * Bump Standards-Version to 4.2.0 (no changes needed).

 -- Yanhao Mo <yanhaocs@gmail.com>  Wed, 08 Aug 2018 15:36:06 +0800

gsettings-qt (0.1+17.10.20170824-5) unstable; urgency=medium

  * Rebuild with gcc-8. Closes: #897763.
  * Update symbols file.
  * Bump Standards-Version to 4.1.5 (no changes needed).
  * d/control: Add new uploader Yanhao Mo <yanhaocs@gmail.com>.

 -- Yanhao Mo <yanhaocs@gmail.com>  Sat, 21 Jul 2018 10:21:09 +0800

gsettings-qt (0.1+17.10.20170824-4) unstable; urgency=medium

  * Add patch to increase timeout in tests to circumvent FTBFS on riscv64.
    Closes: #898497.
  * Revert maintainer address to pkg-deepin-devel@alioth.debian.org.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 13 May 2018 22:27:50 +0800

gsettings-qt (0.1+17.10.20170824-3) unstable; urgency=medium

  * Use team+pkg-deepin@tracker.debian.org in maintainer field.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Use Salsa platform for Vcs fields.
  * Bump debhelper compat to v11.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 19 Apr 2018 20:58:13 +0800

gsettings-qt (0.1+17.10.20170824-2) unstable; urgency=medium

  * No change rebuild against qtbase-abi-5-9-2.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 28 Oct 2017 20:55:18 +0800

gsettings-qt (0.1+17.10.20170824-1) unstable; urgency=medium

  * New upstream release from bzr repository.
    - No real source changes, mostly a rebuild.
  * Bump Standards-Version to 4.1.1.
  * Mark libgsettings-qt-dev as M-A: same.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 01 Oct 2017 11:13:03 +0800

gsettings-qt (0.1+16.04.20170729-2) unstable; urgency=medium

  * Fix dependency problem of libgsettings-qt-dev.
  * Bump Standards-Version to 4.1.0. (no changes needed)

 -- Boyuan Yang <073plan@gmail.com>  Tue, 22 Aug 2017 13:52:03 +0800

gsettings-qt (0.1+16.04.20170729-1) unstable; urgency=medium

  * New upstream snapshot from bzr src repository.
  * Initial Release in Debian. (Closes: #870031)
  * Fix FTBFS problem due to incorrect link path. (LP: #1706682)

 -- Boyuan Yang <073plan@gmail.com>  Fri, 04 Aug 2017 11:25:48 +0800

gsettings-qt (0.1+16.04.20160329-0ubuntu3~1) zesty; urgency=medium

  * No change rebuild

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 04 Jan 2017 08:53:28 +0200

gsettings-qt (0.1+16.04.20160329-0ubuntu2~4) yakkety; urgency=medium

  * Build against Qt 5.6.
  * Adjust test running to changes in Qt 5.6.
  * debian/control: don't use transitional package names
  * Update symbols.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 01 Apr 2016 10:12:26 +0000

gsettings-qt (0.1+16.04.20160329-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Use QChar toUpper/toLower instead of C version (LP: #1556461)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Tue, 29 Mar 2016 12:56:42 +0000

gsettings-qt (0.1+16.04.20160111-0ubuntu1) xenial; urgency=medium

  [ Albert Astals Cid ]
  * Disconnect signal handler on destruction

 -- Michał Sawicz <michal.sawicz@canonical.com>  Mon, 11 Jan 2016 11:26:52 +0000

gsettings-qt (0.1+16.04.20151130-0ubuntu1) xenial; urgency=medium

  * No-change rebuild.

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 30 Nov 2015 14:50:27 +0000

gsettings-qt (0.1+16.04.20151104-0ubuntu1) xenial; urgency=medium

  [ Lars Uebernickel ]
  * qgsettings-qml: explicitly emit changed events (LP: #1503693)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 04 Nov 2015 17:59:13 +0000

gsettings-qt (0.1+15.04.20150810-0ubuntu1) vivid; urgency=medium

  [ Lukáš Tinkl ]
  * Force handling deferred delete events to avoid memory leaks (LP:
    #1460970)
  * Force handling deferred delete events to avoid memory leaks (LP:
    #1460970)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 10 Aug 2015 15:49:54 +0000

gsettings-qt (0.1+14.10.20140807-0ubuntu6~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Jul 2015 07:53:08 +0000

gsettings-qt (0.1+14.10.20140807-0ubuntu5) wily; urgency=medium

  * No-change rebuild against Qt 5.4.2.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 12 Jun 2015 09:21:19 +0300

gsettings-qt (0.1+14.10.20140807-0ubuntu4) vivid; urgency=medium

  * No-change rebuild against Qt 5.4.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 11 Mar 2015 08:25:19 +0200

gsettings-qt (0.1+14.10.20140807-0ubuntu3) vivid; urgency=medium

  * No-change rebuild against Qt 5.4.0.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Feb 2015 13:57:38 +0200

gsettings-qt (0.1+14.10.20140807-0ubuntu2) vivid; urgency=medium

  * No-change rebuild against Qt 5.3.2.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 28 Oct 2014 13:40:39 +0200

gsettings-qt (0.1+14.10.20140807-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * qtdeclarative5-gsettings1.0 needs to depend on the same version of
    libgsettings-qt1

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 07 Aug 2014 15:26:43 +0000



=== debian/control ===
Source: gsettings-qt
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
 Iceyer <iceyers@gmail.com>,
 Yanhao Mo <yanhaocs@gmail.com>,
Build-Depends:
 debhelper (>= 11~),
 libglib2.0-dev,
 pkg-config,
 pkg-kde-tools,
 qml-module-qtquick2,
 qml-module-qttest,
 qt5-qmake,
 qtbase5-dev,
 qtdeclarative5-dev (>= 5.8~),
 qtdeclarative5-dev-tools,
 xauth,
 xvfb,
Standards-Version: 4.2.1
Section: libs
Homepage: https://launchpad.net/gsettings-qt
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/gsettings-qt.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/gsettings-qt

Package: libgsettings-qt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgsettings-qt1 (= ${binary:Version}),
 ${misc:Depends},
Description: library to access GSettings from Qt (development files)
 Libgsettings-qt provides Qt binding to GSettings, a high-level API
 for application settings. This library can be used to access GSettings from Qt
 applications.
 .
 This package contains the development files needed to build applications using
 the GSettings Qt library.

Package: libgsettings-qt1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library to access GSettings from Qt (shared libraries)
 Libgsettings-qt provides Qt binding to GSettings, a high-level API
 for application settings. This library can be used to access GSettings from Qt
 applications.
 .
 This package contains shared library files for libgsettings-qt.

Package: qml-module-gsettings1.0
Architecture: any
Multi-Arch: same
Depends:
 libgsettings-qt1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: QML Bindings for GSettings
 Libgsettings-qt provides Qt binding to GSettings, a high-level API
 for application settings. This library can be used to access GSettings from Qt
 applications.
 .
 This package provides QML bindings for GSettings. QML applications
 may use this library to manipulate data stored in GSettings database.

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,15 @@
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
-export QT_SELECT=qt5
+export QT_SELECT := 5
+
+# Force aligned access to fix FTBFS / Bus Error on armhf
+export DEB_CFLAGS_MAINT_APPEND = -mno-unaligned-access
 
 # Skip tests on the archs they are known to be flaky
-testskip_architectures := powerpc
+testskip_architectures := powerpc armhf
+
+include /usr/share/dpkg/architecture.mk
 
 override_dh_install:
 	rm -rf debian/*/usr/tests

## gsettings-qt 0.2

=== debian/changelog ===
gsettings-qt (0.2-6) unstable; urgency=medium

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml and rename to debian/salsa-ci.yml.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

  [ Mike Gabriel ]
  * debian/rules: Drop empty line.
  * debian/watch: Update file for recent GitLab changes of the tags
    overview page.

  [ Boyuan Yang ]
  * Replace build-dep: pkg-config => pkgconf.
  * d/rules: unconditionally enable LTO.
  * d/libgsettings-qt1.symbols: Drop unnecessary disappeared Qt symbols
    due to LTO being enabled. (Closes: #1015424)

 -- Boyuan Yang <byang@debian.org>  Wed, 06 Nov 2024 09:46:04 -0500

gsettings-qt (0.2-5) unstable; urgency=medium

  [ Marius Gripsgard ]
  * Remove keep canonical namespace patch

  [ Mike Gabriel ]
  * debian/:
    + Update upstream Git repo URL.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 14:52:55 +0100

gsettings-qt (0.2-4) unstable; urgency=medium

  [ Boyuan Yang ]
  * debian/rules:
    + Do not override dh_missing (now default).
    + Do not explicitly set -Wl,--as-needed (now default).
  * debian/control:
    + Bump debhelper compat to v13.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Sep 2020 16:30:50 +0200

gsettings-qt (0.2-3) unstable; urgency=medium

  * debian/rules:
    + Provide an XDG_RUNTIME_DIR that is really available.
  * debian/control:
    + Add B-D: qml-module-qtqml. (Closes: #964670).
  * debian/libgsettings-qt1.symbols:
    + Update symbols (remove Debian revision from version in missing symbol).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Sep 2020 16:18:29 +0200

gsettings-qt (0.2-2) unstable; urgency=medium

  * debian/upstream/metadata:
    + Drop obsolete Name: field.
  * debian/rules:
    + Don't run dh_auto_install in parallel. (Closes: #964670)

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Jul 2020 10:59:41 +0000

gsettings-qt (0.2-1) unstable; urgency=medium

  * New upstream version.
  * debian/watch:
    + Add file. Pointing to UBports's version of gsettings-qt.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/{control,copyright}:
    + Update upstream location according to d/watch file.
  * debian/control:
    + Move maintenance over to UBports team (with Deepin Package Team as
      co-maintainers). (Closes: #951019).
    + Add B:/R: (qml-module-gsettings1.0): qtdeclarative5-gsettings1.0
      (<< 0.2~).
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.
  * debian/rules:
    + Add get-orig-source target.
  * debian/patches:
    + 0005-bugfix-about-test-cases.patch: Trivial rebase.
    + Adapt patch file names to our patch file naming scheme.
    + Add README file, explaining our patch naming scheme.
    + Add 2001_keep-com.canonical-DBus-namespace.patch. Switch back to
      com.canonical.gsettings DBus namespace to not break co-funtionality
      with other non-Unity Qt5 based environments and components (e.g. Deepin
      Desktop Environment).
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/libgsettings-qt1.symbols:
    + Add Build-Depends-Package: meta data field.
    + Update symbols file (for amd64 only for now).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Feb 2020 15:26:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,32 @@
 Source: gsettings-qt
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
+ Mike Gabriel <sunweaver@debian.org>,
  Boyuan Yang <byang@debian.org>,
  Iceyer <iceyers@gmail.com>,
  Yanhao Mo <yanhaocs@gmail.com>,
+ Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 13),
  libglib2.0-dev,
- pkg-config,
+ pkgconf,
  pkg-kde-tools,
  qml-module-qtquick2,
  qml-module-qttest,
  qt5-qmake,
  qtbase5-dev,
- qtdeclarative5-dev (>= 5.8~),
+ qtdeclarative5-dev,
  qtdeclarative5-dev-tools,
+ qml-module-qtqml,
  xauth,
  xvfb,
-Standards-Version: 4.2.1
+Standards-Version: 4.6.2
 Section: libs
-Homepage: https://launchpad.net/gsettings-qt
-Vcs-Git: https://salsa.debian.org/pkg-deepin-team/gsettings-qt.git
-Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/gsettings-qt
+Rules-Requires-Root: no
+Homepage: https://gitlab.com/ubports/development/core/gsettings-qt
+Vcs-Git: https://salsa.debian.org/ubports-team/gsettings-qt.git
+Vcs-Browser: https://salsa.debian.org/ubports-team/gsettings-qt
 
 Package: libgsettings-qt-dev
 Section: libdevel
@@ -59,6 +63,8 @@
  libgsettings-qt1 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks: qtdeclarative5-gsettings1.0 (<< 0.2~),
+Replaces: qtdeclarative5-gsettings1.0 (<< 0.2~),
 Description: QML Bindings for GSettings
  Libgsettings-qt provides Qt binding to GSettings, a high-level API
  for application settings. This library can be used to access GSettings from Qt

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,8 @@
 #export DH_VERBOSE=1
 
 # see FEATURE AREAS in dpkg-buildflags(1)
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
+export DEB_LDFLAGS_MAINT_APPEND =
 export QT_SELECT := 5
 
 # Force aligned access to fix FTBFS / Bus Error on armhf
@@ -21,8 +21,11 @@
 	rm -rf debian/*/usr/tests
 	dh_install
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_auto_install:
+	mkdir "$(CURDIR)/debian/run-dir/"
+	chmod 7700 "$(CURDIR)/debian/run-dir/"
+	export XDG_RUNTIME_DIR="$(CURDIR)/debian/run-dir/" && dh_auto_install --no-parallel
+	rm -Rfv "$(CURDIR)/debian/run-dir/"
 
 override_dh_auto_test:
 ifneq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(testskip_architectures)))
@@ -35,3 +38,6 @@
 
 %:
 	dh $@ --with pkgkde_symbolshelper
+
+get-orig-source:
+	uscan --noconf --force-download --rename --download-current-version --destdir=..

## gsettings-qt 1.0.0

=== debian/changelog ===
gsettings-qt (1.0.0-4) unstable; urgency=medium

  * debian/control:
    + Apply libgio-2.0-dev | libglib2.0-dev dependency hack for old distro
      version to both dev:pkgs.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 13 Mar 2025 08:59:37 +0100

gsettings-qt (1.0.0-3) unstable; urgency=medium

  * debian/control:
    + Add compat B-Ds (Ubuntu 24.04): qml6-module-qtqml-models and qml6-module-
      qtqml-workerscript.
    + The libgio-2.0-dev bin:pkg only got introduced during the trixie cycle
      (Debian) / plucky cycle (Ubuntu). For building e.g. against Ubuntu 24.04,
      we need to alternatively depend libglib2.0-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 13 Mar 2025 08:51:13 +0100

gsettings-qt (1.0.0-2) unstable; urgency=medium

  * debian/control:
    + Add to D: (dev:pkgs): libgio-2.0-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 02 Mar 2025 11:46:20 +0100

gsettings-qt (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/:
    + Introduce Qt6 builds of gsettings-qt by dually building the gsettings-qt
      code against Qt5 and Qt6. (Upstream switched from qmake to cmake, also
      part of this changeset).
  * debian/patches:
    + Drop patches 0001, 0002 and 0003. All obsolete or accepted upstream
      (upstream changed build system from qmake to cmake).
    + Drop patch 0005. Applied upstream.
    + Trivially rebase 0004_Increase-test-timeout.patch.
  * debian/{control,*.install}:
    + Rename qml-module-gsettings1.0 to qml-module-gsettings (and keep the
      former as transitional package).
  * debian/{control,rules,*.symbols}:
    + Stop providing .symbols files.
  * debian/control:
    + Bump Standards-Version: to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 22 Feb 2025 14:59:32 +0100

=== debian/control ===
Source: gsettings-qt
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Boyuan Yang <byang@debian.org>,
 Iceyer <iceyers@gmail.com>,
 Yanhao Mo <yanhaocs@gmail.com>,
 Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>,
Build-Depends:
 cmake,
 cmake-extras (>= 1.8~),
 debhelper-compat (= 13),
 libglib2.0-dev,
 pkgconf,
 qml6-module-qtquick,
 qml6-module-qttest,
 qml-module-qtquick2,
 qml-module-qttest,
 qt6-base-dev,
 qt6-declarative-dev,
 qtbase5-dev,
 qtdeclarative5-dev (>= 5.8~),
 qtdeclarative5-dev-tools,
 libqt5qml5,
 libqt6qml6,
 xauth,
 xvfb,
# the next two are required for building on Ubuntu 24.04 LTS,
# adding them here so we can build this package on
# https://launchpad.net/~lomiri/
 qml6-module-qtqml-models,
 qml6-module-qtqml-workerscript,
Standards-Version: 4.7.0
Section: libs
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/gsettings-qt
Vcs-Git: https://salsa.debian.org/ubports-team/gsettings-qt.git
Vcs-Browser: https://salsa.debian.org/ubports-team/gsettings-qt

Package: libgsettings-qt6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgio-2.0-dev | libglib2.0-dev,
 libgsettings-qt6-1 (= ${binary:Version}),
 ${misc:Depends},
Description: library to access GSettings from Qt6 (development files)
 Libgsettings-qt provides Qt binding to GSettings, a high-level API
 for application settings. This library can be used to access GSettings from Qt
 applications.
 .
 This package contains the development files needed to build applications using
 the GSettings Qt library for building against Qt6.

Package: libgsettings-qt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgio-2.0-dev | libglib2.0-dev,
 libgsettings-qt1 (= ${binary:Version}),
 ${misc:Depends},
Description: library to access GSettings from Qt5 (development files)
 Libgsettings-qt provides Qt binding to GSettings, a high-level API
 for application settings. This library can be used to access GSettings from Qt
 applications.
 .
 This package contains the development files needed to build applications using
 the GSettings Qt library for building against Qt5.

Package: libgsettings-qt6-1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library to access GSettings from Qt6 (shared libraries)
 Libgsettings-qt provides Qt binding to GSettings, a high-level API
 for application settings. This library can be used to access GSettings from Qt
 applications.
 .
 This package contains shared library files for libgsettings-qt (Qt6 build).

Package: libgsettings-qt1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library to access GSettings from Qt5 (shared libraries)
 Libgsettings-qt provides Qt binding to GSettings, a high-level API
 for application settings. This library can be used to access GSettings from Qt
 applications.
 .
 This package contains shared library files for libgsettings-qt (Qt5 build).

Package: qml6-module-gsettings
Architecture: any
Multi-Arch: same
Depends:
 libgsettings-qt6-1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: QML (Qt6) Bindings for GSettings
 Libgsettings-qt provides Qt binding to GSettings, a high-level API
 for application settings. This library can be used to access GSettings from Qt
 applications.
 .
 This package provides QML bindings (Qt6) for GSettings. QML applications
 may use this library to manipulate data stored in GSettings database.

Package: qml-module-gsettings
Architecture: any
Multi-Arch: same
Depends:
 libgsettings-qt1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: qml-module-gettings1.0 (<< 1.0.0~),
 qtdeclarative5-gsettings1.0 (<< 0.2~),
Replaces: qml-module-gettings1.0 (<< 1.0.0~),
 qtdeclarative5-gsettings1.0 (<< 0.2~),
Description: QML (Qt5) Bindings for GSettings
 Libgsettings-qt provides Qt binding to GSettings, a high-level API
 for application settings. This library can be used to access GSettings from Qt
 applications.
 .
 This package provides QML bindings (Qt5) for GSettings. QML applications
 may use this library to manipulate data stored in GSettings database.

Package: qml-module-gsettings1.0
Section: oldlibs
Architecture: any
Multi-Arch: same
Depends:
 qml-module-gsettings (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: QML (Qt5) Bindings for GSettings (transitional package)
 Libgsettings-qt provides Qt binding to GSettings, a high-level API
 for application settings. This library can be used to access GSettings from Qt
 applications.
 .
 This package is a transitional package to assure that qml-module-settings (Qt5
 variant, its replacement) gets installed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
export DEB_LDFLAGS_MAINT_APPEND =
export QT_SELECT := 5

# Force aligned access to fix FTBFS / Bus Error on armhf
export DEB_CFLAGS_MAINT_APPEND = -mno-unaligned-access

# Skip tests on the archs they are known to be flaky
testskip_architectures := powerpc armhf

include /usr/share/dpkg/architecture.mk

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-qt6 --buildsystem=cmake -- \
	    -DENABLE_QT6=ON \
	    -DENABLE_WERROR=OFF \
	    ..
	dh_auto_configure --builddirectory=build-qt5 --buildsystem=cmake -- \
	    -DENABLE_QT6=OFF \
	    -DENABLE_WERROR=ON \
	    ..

override_dh_auto_build:
	dh_auto_build --builddirectory=build-qt6 --buildsystem=cmake ..
	dh_auto_build --builddirectory=build-qt5 --buildsystem=cmake ..

override_dh_auto_test:
ifneq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(testskip_architectures)))
	QT_QPA_PLATFORM=minimal LD_LIBRARY_PATH=../src GSETTINGS_BACKEND=memory GSETTINGS_SCHEMA_DIR=. xvfb-run -a dh_auto_test --builddirectory=build-qt6
	QT_QPA_PLATFORM=minimal LD_LIBRARY_PATH=../src GSETTINGS_BACKEND=memory GSETTINGS_SCHEMA_DIR=. xvfb-run -a dh_auto_test --builddirectory=build-qt5
endif

override_dh_auto_install:
	mkdir -p "$(CURDIR)/debian/run-dir/"
	chmod 7700 "$(CURDIR)/debian/run-dir/"
	export XDG_RUNTIME_DIR="$(CURDIR)/debian/run-dir/" && dh_auto_install --no-parallel \
	                                                                      --builddirectory=build-qt6 \
	                                                                      --buildsystem=cmake \
	                                                                      ..
	export XDG_RUNTIME_DIR="$(CURDIR)/debian/run-dir/" && dh_auto_install --no-parallel \
	                                                                      --builddirectory=build-qt5 \
	                                                                      --buildsystem=cmake \
	                                                                      ..
	rm -Rfv "$(CURDIR)/debian/run-dir/"

override_dh_install:
	rm -rf debian/*/usr/tests
	dh_install

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build-qt6 --buildsystem=cmake ..
	dh_auto_clean --builddirectory=build-qt5 --buildsystem=cmake ..


%:
	dh $@


get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## gsettings-qt 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.18)
-project(gsettings-qt VERSION 1.0.0 LANGUAGES CXX)
+project(gsettings-qt VERSION 1.1.1 LANGUAGES CXX)
 
 option(ENABLE_WERROR "Enable -Werror" OFF)
 option(ENABLE_QT6 "Enable Qt6 build" OFF)
@@ -30,7 +30,7 @@
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(Gio REQUIRED IMPORTED_TARGET gio-2.0)
 
-enable_testing()
+include(CTest)
 
 if(BUILD_TESTING)
     pkg_check_modules(Glib2 REQUIRED IMPORTED_TARGET glib-2.0)

=== GSettings/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-find_package(QmlPlugins)
+find_package(QmlPlugins REQUIRED)
 
 set(CHECK_DEFAULT_PATH "")
 if (EXISTS "/etc/debian_version")
@@ -12,7 +12,7 @@
 add_definitions(-DQT_NO_KEYWORDS)
 
 set(URI "GSettings")
-set(API_VER "1.0")
+set(API_VER "1.1")
 set(QML_PLUGIN_DIR "${CMAKE_INSTALL_LIBDIR}/qt${QT_VERSION_MAJOR}/qml/${URI}")
 
 add_library(GSettingsQmlPlugin MODULE

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
 target_link_libraries(cpptest PRIVATE
     Qt::Test
     Qt::Core
-    gsettings-qt
+    gsettings-qt${QT_VERSION_IN_LIBNAME}
     PkgConfig::Glib2
 )
 
@@ -67,7 +67,7 @@
     Qt::Test
     Qt::Core
     Qt::QuickTest
-    gsettings-qt
+    gsettings-qt${QT_VERSION_IN_LIBNAME}
     PkgConfig::Glib2
 )

=== debian/changelog ===
gsettings-qt (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0004_Increase-test-timeout.patch. Applied upstream.
  * debian/control:
    + Drop global Priority: field, bump Standards-Version: to 4.7.3.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 16 Feb 2026 17:59:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: gsettings-qt
-Priority: optional
 Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
@@ -31,7 +30,7 @@
 # https://launchpad.net/~lomiri/
  qml6-module-qtqml-models,
  qml6-module-qtqml-workerscript,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/gsettings-qt
